%global minorversion 0.6

Name:           mousepad
Version:        0.6.2
Release:        1
Summary:        Simple text editor for Xfce desktop environment
License:        GPLv2+
URL:            https://git.xfce.org/apps/mousepad/about/
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc make
BuildRequires:  dbus-glib-devel
BuildRequires:  exo-devel
BuildRequires:  glib2-devel
BuildRequires:  gtksourceview3-devel
BuildRequires:  libxfce4util-devel
BuildRequires:  xfconf-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  gspell-devel
BuildRequires:  polkit-devel

%description
Mousepad aims to be an easy-to-use and fast editor. It's target is an editor for
quickly editing text files, not a development environment or an editor with a
huge bunch of plugins.

Mousepad is based on Leafpad. The initial reason for Mousepad was to provide
printing support, which would have been difficult for Leafpad for various
reasons.

Although some features are under development, currently Mousepad has following
the features:
    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

%package -n libmousepad0
Summary:        Mousepad plugin provider
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libmousepad0
A plugin provider for the Mousepad text editor


%package devel
Summary:        Development files for Mousepad
Group:          Development/Libraries
Requires:       libmousepad0 >= %{version}

%Description devel
Development files for Mousepad plugin development

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

desktop-file-install \
    --remove-category="Application" \
    --delete-original \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applications/org.xfce.%{name}.desktop

desktop-file-install \
    --remove-category="Application" \
    --delete-original \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applications/org.xfce.%{name}-settings.desktop

mkdir -p %{buildroot}%{_metainfodir}
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/*.appdata.xml

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/mousepad
%{_metainfodir}/org.xfce.%{name}.appdata.xml
%{_datadir}/applications/org.xfce.%{name}.desktop
%{_datadir}/applications/org.xfce.%{name}-settings.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.%{name}.*.xml
%{_datadir}/polkit-1/actions/org.xfce.mousepad.policy
%{_datadir}/icons/hicolor/*/*/*.%{name}*
%{_libdir}/%{name}/plugins

%files -n libmousepad0
%{_libdir}/libmousepad.*

%files devel
%{_libdir}/libmousepad.so

%changelog
* Tue Jul 09 2024 misaka00251 <liuxin@iscas.ac.cn> - 0.6.2-1
- Update to 0.6.2

* Mon Jan 09 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.5.10-1
- update to 0.5.10

* Wed Jan 04 2023 misaka00251 <liuxin@iscas.ac.cn> - 0.5.9-1
- Update to 0.5.9

* Thu Jun 23 2022 Dillon Chen <dillon.chen@gmail.com> - 0.5.8-1
- Update to 0.5.8

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 0.5.5-1
- Update to 0.5.5
- Split out devel and libmousepad0 library for plugins.

* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.4.2-1
- Init package
